Foxit PDF SDK

Public Member Functions | List of all members
foxit::pdf::PageTextLinks Class Reference
Inheritance diagram for foxit::pdf::PageTextLinks:

## Public Member Functions
| PageTextLinks (const PageTextLinks &other)
| Constructor, with another PageTextLinks object. More...
| PageTextLinks (const TextPage &page)
| Constructor, from a parsed PDF page. More...
| ~PageTextLinks ()
| Destructor.
TextLink | GetTextLink (int index)
| Get a text link object by index. More...
int | GetTextLinkCount ()
| Get the count of the URL formatted texts, in related PDF page. More...
bool | IsEmpty () const
| Check whether current object is empty or not. More...
bool | operator!= (const PageTextLinks &other) const
| Not equal operator. More...
PageTextLinks & | operator= (const PageTextLinks &other)
| Assign operator. More...
bool | operator== (const PageTextLinks &other) const
| Equal operator. More...
Public Member Functions inherited from foxit::Base
FS_HANDLE | Handle () const
| Get the handle of current object. More...

## Detailed Description

In a PDF page, some text content may represent a hypertext link to a website or a resource on the internet, or an e-mail address. Class PageTextLinks is used to manage these kind of text content as text links.

## Constructor & Destructor Documentation

## ◆ PageTextLinks() [1/2]

foxit::pdf::PageTextLinks::PageTextLinks | ( | const TextPage & | page | ) |
| explicit

Constructor, from a parsed PDF page.

Parameters

  [in] | page | A valid PDF page object. This page should has been parsed.

## ◆ PageTextLinks() [2/2]

foxit::pdf::PageTextLinks::PageTextLinks | ( | const PageTextLinks & | other | ) |

Constructor, with another PageTextLinks object.

Parameters

  [in] | other | Another PageTextLinks object.

## Member Function Documentation

## ◆ GetTextLink()

TextLink foxit::pdf::PageTextLinks::GetTextLink | ( | int | index | ) |

Get a text link object by index.

Parameters

  [in] | index | Index of a text link object. Valid range: from 0 to (count-1). count is returned by function PageTextLinks::GetTextLinkCount.

Returns
  The specified text link object.

## ◆ GetTextLinkCount()

int foxit::pdf::PageTextLinks::GetTextLinkCount | ( |  | ) |

Get the count of the URL formatted texts, in related PDF page.

Returns
  The count of the text links, if returned -1 means error on the construct.

## ◆ IsEmpty()

bool foxit::pdf::PageTextLinks::IsEmpty | ( |  | ) | const

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.

## ◆ operator!=()

bool foxit::pdf::PageTextLinks::operator!= | ( | const PageTextLinks & | other | ) | const

Not equal operator.

Parameters

  [in] | other | Another PageTextLinks object. This function will check if current object is not equal to this one.

Returns
  true means not equal, while false means equal.

## ◆ operator=()

PageTextLinks& foxit::pdf::PageTextLinks::operator= | ( | const PageTextLinks & | other | ) |

Assign operator.

Parameters

  [in] | other | Another PageTextLinks object, whose value would be assigned to current object.

Returns
  Reference to current object itself.

## ◆ operator==()

bool foxit::pdf::PageTextLinks::operator== | ( | const PageTextLinks & | other | ) | const

Equal operator.

Parameters

  [in] | other | Another PageTextLinks object. This function will check if current object is equal to this one.

Returns
  true means equal, while false means not equal.